Subject: [tsvwg] TSVWG Status - September 2016

From: G Fairhurst <[email-masked]>
Date: Thu, 22 Sep 2016 15:12:51 +0100

The list below shows the status of the working group documents as we see 
it. Please check below and comment on drafts using the list. Please do 
send any corrections/omissions to the chairs.

Gorry & David
(TSVWG Chairs)
September 2016
-------------------------------------------------------------------
Documents recently published:

RFC 7496 (was draft-ietf-tsvwg-sctp-prpolicies) Additional Policies for 
the Partially Reliable Stream Control Transmission Protocol Extension - 
Document Shepherd: Gorry

RFC 7605 (was draft-ietf-tsvwg-port-use) Recommendations on Using 
Assigned Transport Port Numbers -Document Shepherd: Gorry

RFC 7857 (was draft-ietf-tsvwg-behave-requirements-update) Updates to 
Network Address Translation (NAT) Behavioral Requirements - Document 
Shepherd: David

RFC 7829 (was draft-ietf-tsvwg-sctp-failover) SCTP-PF: A Quick Failover 
Algorithm for the Stream Control Transmission Protocol - Document 
Shepherd: Gorry
-------------------------------------------------------------------
IDs in RFC Editor Queue (http://www.rfc-editor.org/queue.html) :

draft-ietf-tsvwg-sctp-dtls-encaps - PS - Document Shepherd: Gorry
Replaces: draft-tuexen-tsvwg-sctp-dtls-encaps-01
WG adopted 13/12/2013. Support {AB, IR, SL, MB, TD}
[Milestone: Jan 2014, PS] Implemented in Firefox (FF21).
Required by RTCweb. Comments received.
WGLC ended 28th February 2014.
Comments from Joe Touch (draft updated)
Review comments and revised ID published.
Eric Rescorla has reviewed this.
All authors confirmed no IPR
Write-up submitted, Comments and revised ID.
IESG evaluation: Completed.
RFC Editor: MISSREF - waiting for draft-ietf-tsvwg-ndata
---
draft-ietf-tsvwg-circuit-breaker - BCP - Document Shepherd: David
- (Editor: Gorry Fairhurst)
Call for WG adoption issued - August 2014, adopted 28th Aug.
Current target is BCP, will re-evaluate (BCP vs. INFO) when draft is 
ready for WGLC.
- WGLC comments from Colin Perkins, David Black, Lucy Yong.
- Detailed review by Bob Briscoe
- Later comments form Mirja Kuehlewind
WGLC completed, updated I-D needed
Shepherd Review by David Black, Review by Spencer Dawkins
Write-Up completed - document intended to be published as BCP.
Updated ID published (06)
- Comments received from GEN-ART and other reviews.
Updated draft in 2nd WGLC - Dec 2015.
Revised ID at end of WGLC to resolve issues (minor language change 
requested)
-11, Submitted to IESG for Publication Dec 2015, IETF Last Call ends Feb 9
-12 update after LC (minor changes)
IESG review (telechat)
Revised ID published Mar 2016.
May 2016, WG Shepherd action confirmed changes
---
draft-ietf-tsvwg-rtcweb-qos - PS - Document Shepherd: David
Replaces: draft-dhesikan-tsvwg-rtcweb-qos
- RTCweb and QoS Markings
- Authors requested TSVWG adoption.
- Who has read the draft? (lots 10's of people)
25-Mar-2014, Adopted by tsvwg
- Who thinks it is important to do work in the IETF? (Many)
I-D updated after initial TSVWG feedback
Mar 2014, Adoption call (strong support in WG meeting London)
Adoption call concluded 24 Match 2014: intended as a PS RFC for Sept 2014
++ Magnus agreed to review this.
Early OPS-Dir review received from Fred Baker.
Related draft Oct 2014, DART draft (draft-ietf-dart-dscp-rtp): IETF LC 
completed.
Revised draft Oct 2015 (David had concall w/authors on Jan 22).
Chairs Note: A WGLC is expected soon.
-12: Updates to related documents (SCTP requirements need to be clear 
across rtcweb-data-channel, rtcweb-transports and tsvwg-rtcweb-qos 
drafts) Michael T is actively looked at these (mostly done), and Harald 
A has some time to invest in this now that the NomCom's work is done.
IPR: status confirmed with all 4 authors.
-13: WGLC complete, all revisions made except for one last comment from 
Brian Carpenter
IETF Last Call (completed - May 2, 2016)
-16 version resolves IETF LC comments, on May 19, 2016 IESG Telechat agenda
Approved, announcement 8th August 2016
---
RFC-Ed ACTIONS:
draft-ietf-tsvwg-circuit-breaker is in RFC-ED queue and has an error:
"It has Elastic PWs carrying IP traffic(see [RFC4488])" ---
RFC 4448 was the intended reference, noted.
----------------------------------------------------------
IDs in IESG Evaluation
draft-tsvwg-gre-in-udp-encap - PS - Document Contact: Gorry (Document 
Shepherd: David)
Replaces: draft-yong-tsvwg-gre-in-udp-encap
Dec 2013, Adopted , intended for publication as a PS RFC
Feb 2014, discussion of scope and applicability of circuit breakers
Mar 2014 consider MUST implement, SHOULD use in these environments for CB
Revised ID expected for Dallas (was Honolulu) with initial adaptation 
and discuss generalization in meeting.
Revised ID needed to address congestion control and UDP Zero Checksum 
for IPv6. Revised text has been adapted from MPLS-in-UDP RFC 7510, but 
needs further adaptation for GRE (vs. MPLS).
July 2015 - Scope of deployability discussed in Prague (meeting and 
hallway) - decision is to proceed with 2 applicability scopes - general 
Internet and well-managed Operator Network
ID submitted for Yokohama (probably not final text, but initial stab at 
2 applicability scopes)
Revised ID submitted, small area of known open issues (source port config)
Detailed review by Chair (GF) 2 March 2015 - update needed.
List discussion of known open issues with revised-ID to resolve.
IPR: status confirmed : Lucy= OK; Tom =OK; Edward =OK; X. Xu = OK
WGLC comments addressed (extended to allow reviewer feedback - waiting 
on one more review)
DUE: IESG telechat 2016-Sept-29
---
draft-ietf-tsvwg-rfc5405bis - BCP - Document Shepherd: David
Replaces: draft-eggert-tsvwg-rfc5405bis - Individual, ‘Multicast UDP 
Guidelines’ incorporated
Mar 2014, the ADs proposed the WG re-open the UDP Guidelines RFC for 
update to include this work and other topics.
The authors of both drafts agreed to progress this work.
Presented IETF-90, Hum supporting adoption, none against.
++ Brian Trammel agreed to review this.
++ Jana agreed to review this.
++ Magnus Westerlund agreed to review this (comments)
Adopted as a TSVWG work item.
Revision incorporating comments from Prague Meeting.
WGLC for BCP completed 13 Oct 2015.
Further comments on list.
WGLC concluded. Chair comments handled.
Revised ID-needed: New comments from shepherd (D Black) on material to 
cover from rtgwg-dt-encap draft (should have been considered in WGLC).
Document Write-Up.
Additional changes requested, new rev published to correct issues.
IETF LC through May 31
Document revised, comments remain.
Apps-area comments do not require new revision (Shepherd)
DUE: IESG telechat Oct 2017
----------------------------------------------------------
IDs in IETF Last Call
draft-ietf-tsvwg-diffserv-intercon - Document Shepherd: Gorry
formerly: draft-geib-tsvwg-diffserv-intercon
DiffServ interconnection classes
New ID presented in Atlanta, IETF-85.
ID presented in Orlando, IETF-86, Mar 2013. Mar 2014, intended scope 
unclear at IETF London Adoption call to be considered, but scope needs 
to be first refined and a revised draft is necessary to avoid 
implications of broader applicability.
July 2014 - ID presented in Toronto. Strong hum of support to work on 
this, but a revised draft is needed first.
WG adoption call completed 2014-12-01.
March 2015: Draft got waylaid by a strong request to include a Scavenger 
class.
July 2015: Prague meeting discussion of scavenger class is inconclusive. 
Do need to map *all* RFC 4594 Diffserv classes. Revised ID submitted for 
Yokohama. Expected response to "Scavenger class" topic is "Send Draft!"
David reviewed text.
May 2016 Gorry reviewed text
IPR: status confirmed : OK
June 2016: Revised ID
WGLC concluded in July 2016
DUE: IETF LC
-------------------------------------------------------------------
WG Drafts with Chairs:
- None
----
Completed WGLC:
- None
-------------------------------------------------------------------
WG Drafts
---
In WGLC:
- None
---
draft-ietf-tsvwg-sctp-ndata - PS - Document Shepherd: Gorry
Replaces: draft-stewart-tsvwg-sctp-ndata-03 Nov 2013
Adopted, intended for publication as a PS RFC
Mar 2014, 5-6 people had read.
Name was changed (proposed at IETF-90), Interleaved data
Header was made smaller.
Work needed:
• Describe how it works! (Possible Errata to fix RFC 4960)
• Describe Stream Schedulers
– Address comments received on the mailing list.
• Clarification of use-case.
• Make clear what also applies when regular DATA chunks are used.
++ Magnus Westerlund will review
++ Karen Neilson will review
++ Randal Jessup will review
July 6th Revised ID
DUE: Shepherd review (prior to WGLC)
DUE: WGLC expected after next revision
---
draft-ietf-tsvwg-ieee-802-11 - Document Shepherd: David
Replaces: draft-szigeti-tsvwg-ieee-802-11
- Initial presentation at Prague IETF (Summer 2014)
- Presentation at IETF Nov 2015.
Thought to fall within TSVWG charter
- No call issued for adoption at this time.
Chair Note: Does this need to reference RC4594 or an update to that spec.?
There's some background work that's likely to surface as proposed 
4594bis and 5127bis drafts.
Working Group call for adoption to end 25th June 2016.
Adopted 28-June-2016
WG proposed status was updated to PS - notified WG on 8th August 2016, 
concluded.
After LC:
Chairs Note: Do we need to change "Guidelines" in the title, if this 
becomes PS?
IPR: status : T. Szigeti = ?; F. Baker =?
Shepherd review: ?
DUE: Please discuss on the list, WGLC soon.
---
draft-ietf-tsvwg-ecn-encap-guidelines - BCP - Document Shepherd: David
Replaces: draft-briscoe-tsvwg-ecn-encap-guidelines
-00 Presented in Prague, IETF-80.
- comments at IETF-80 (see minutes)
New ID presented in Atlanta, IETF-85. ID presented in IETF-88,89
- forward an appropriate message (perhaps your note to the mailing list 
for approval to adopt) to [email-masked])
++ Reviewers: Andrew McGregor, Dirk Kutscher, Richard Sheffnegger, Brian 
Trammell, Gorry.
Mar 2014, WG Call for adoption started, to end 4th March 2014
19 for, 1 against. 8 echoed on the list
Adoption call concluded and document adopted.
- ecn-encap-guidelines and AQM are the main new things they need to know 
about.
on <http://www.ietf.org/proceedings/86/train-3.html>IEEE802.1Q)
Liaison sent to IEEE 802 (Nov 24, 2014).
Liaison sent to 3GPP (August 2015)
Oct 2015 - Draft updated for Yokohama meetings. Not sure about INT Area 
presentation. Need some more soak time for 3GPP Liaison.
DUE: Bob is writing a 3GPP liaison statement
DUE: Revised ID needed, next version to be presented to IETF INT Area.
DUE: Please comment on TSVWG list.
---
draft-ietf-tsvwg-rfc6040-update - Document Shepherd: Not yet assigned.
Replaces: draft-briscoe-tsvwg-rfc6040bis
Topic thought to fall within TSVWG charter
Support for this work noted (Berlin IETF, 2016) - to be published as a 
pair with ecn encaps.
An adoption call was started on list by the Chairs until 22nd August 
2016, concluded and adopted.
(APPROVED - submit a new rev renamed as "rfc6040-update" intended for 
publication as a PS RFC)
++ Randal Stewart will review
++ Randal Jessup will review
DUE: Please submit WG ID.
DUE: Please comment on TSVWG list.
---
draft-ietf-tsvwg-natsupp - Document Shepherd: David?
Replaces: draft-stewart-natsupp-tsvwg
Dependency from BEHAVE WG (no longer applicable).
Adopted as a work item 21 Sept 2010 (Gorry).
WG -00, 29/11/2010 Uploaded as: draft-ietf-natsupp-tsvwg
Authors restructured draft (-03)
Added support for single and multi-homed support.
IETF-86: 3 people in meeting had read -04 or -05.
Feb 2014, Authors please update following comments and align to related 
draft on SCTP NAT (conflicts found in language)
Authors expected to produce a single document to replace both.
++ Dan Wing has committed to review this.
++ Fred Baker has committed to review this.
Separated the simpler case for single-homed use - this separation should 
be clear.
March 2015 document restructured and merged with draft-ietf-tsvwg-sctpnat
March 2015, initial review by Gorry - need to consider helping NAT 
vendors access the recommendations.
Gorry, Karen: Minor NiTs,
Scope of IPv4 NAT discussed in Prague IETF and still thought within Charter.
Chairs Note: Plan to start a WGLC, once text is stable.
DUE: Revised ID-needed.
---
draft-ietf-tsvwg-tunnel-congestion-feedback-00 - Document Shepherd: Not 
yet assigned.
Replaces: draft-wei-tsvwg-tunnel-congestion-feedback
- Thought to fall within TSVWG charter, comments welcome on tsvwg list.
- IETF 91: Authors will work w/Bob Briscoe, who has a related individual 
draft for conex, on feedback mechanisms. Goal is concrete action taken 
based on detected problems that can be used from other drafts by 
reference. Also have to deal with possibility of dropped packets within 
tunnel.
*** NOTE: 2 IPR declarations relate to the work of this draft ***
DUE: Please comment on the TSVWG list.
---
draft-ietf-tsvwg-rfc4960-errata - Document Shepherd: Gorry
Replaces: draft-tuexen-tsvwg-rfc4960-errata
Topic thought to fall within TSVWG charter
Support for this work noted in Prague (Aug 2015).
Expected to be used as the basis for an update to SCTP base specification.
Authors have requested adoption
IETF-95 - sense of the meeting room to proceed.
IETF-96 - sense of the meeting room to proceed
An adoption call was started on list by the Chairs until 22nd August 
2016, concluded and adopted.
DUE: Please comment on the TSVWG list.
---
draft-tsvwg-le-phb - Document Shepherd: Not yet assigned.
Replaces: draft-bless-tsvwg-le-phb A Lower Effort Per-Hop Behavior (LE PHB)
Topic thought to fall within TSVWG charter
Support for this work noted (Berlin IETF, 2016).
An adoption call was started on list by the Chairs until 22nd August 
2016, concluded and adopted.
APPROVED, new rev needed as a WG item.(Targeting publication as an EXP RFC)
DUE: Please submit WG ID.
DUE: Please comment on TSVWG list.
-------------------------------------------------------------------
Drafts under consideration by WG for adoption:
None.